Name:           kmscon
Version:        8
Release:        10%{?dist}
Summary:        KMS/DRM based System Console

License:        MIT and LGPLv2+
URL:            http://www.freedesktop.org/wiki/Software/kmscon/
Source0:        http://freedesktop.org/software/kmscon/releases/kmscon-%{version}.tar.xz

BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libtsm)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(libsystemd-login)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  libxslt
Buildrequires:  docbook-style-xsl
BuildRequires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
Kmscon is a simple terminal emulator based on Linux kernel mode setting (KMS).
It is an attempt to replace the in-kernel VT implementation with a user-space
console. See kmscon(1) man-page for usage information.


%prep
%setup -q


%build
%configure --disable-static \
  --with-renderers="bbulk,gltex,pixman"

make %{?_smp_mflags}  V=1


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Install systemd services
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
for s in kmscon.service  kmsconvt@.service ; do
  install -pm 0644 docs/${s} $RPM_BUILD_ROOT%{_unitdir}
done



%check
make %{?_smp_mflags} V=1 check


%post
%systemd_post kmscon.service
%systemd_post kmsconvt@.service

%preun
%systemd_preun kmscon.service
%systemd_preun kmsconvt@.service

%postun
%systemd_postun_with_restart kmscon.service
%systemd_postun_with_restart kmsconvt@.service


%files
%doc COPYING NEWS README
%{_bindir}/kmscon
%{_unitdir}/*.service
%dir %{_libdir}/kmscon
%{_libdir}/kmscon/mod-*.so
%{_mandir}/man1/kmscon.1*


%changelog
* Sat Jul 11 2015 Nicolas Chauvet <kwizart@gmail.com> - 8-10
- Remove prelink workaround of glibc#16744

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 10 2014 Peter Robinson <pbrobinson@fedoraproject.org> 8-7
- ifnarch the execstack calls not just the build dependencies

* Sun Jun  8 2014 Peter Robinson <pbrobinson@fedoraproject.org> 8-6
- No prelink on aarch64/ppc64le

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 05 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-4
- Clear execstack
- Add verbose check and fix description

* Fri Mar 07 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-3
- Add man page
- Spec file clean-up
- Enable pixman as a renderer

* Thu Feb 27 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-2
- Update to libxslt libgbm

* Thu Feb 27 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-1
- Initial spec file
